﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;
using XamSample.Models;

namespace XamSample.Samples
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class HideListViewScrollBar : ContentPage
    {
        public HideListViewScrollBar()
        {
            InitializeComponent();
            BindList();
        }

        public void BindList()
        {
            try
            {
                ObservableCollection<Products> ob = new ObservableCollection<Products>();
                Random r = new Random(1);
                for (int i = 0; i < 100; i++)
                {
                    ob.Add(new Products { price = r.Next(1, 100000).ToString(), product = "A" + i });
                }
                lstProducts.ItemsSource = ob;
                //lstProducts.VerticalScrollBarVisibility = ScrollBarVisibility.Never;
                //lstProducts.HorizontalScrollBarVisibility = ScrollBarVisibility.Never;

            }
            catch (Exception ex)
            {

            }
        }
    }
}
